C-------------------------------------------------------------------------

      SUBROUTINE NOTEMP



C     DO-NOTHING TEMPERATURE MODEL



      implicit double precision (a-h,o-z)



C     COMMON DECK "TT" INSERTED HERE

      DOUBLE PRECISION MODT

      COMMON/TT/MODT(4), T,PTT,PTR,PTTH,PTPH

C     COMMON DECK "WW" INSERTED HERE

      PARAMETER (NWARSZ=1000)

      COMMON/WW/ dum(10), MAXW,W(NWARSZ)

C

      ENTRY SETTMP

C

      RETURN

C

      ENTRY ITEMP

      IF(W(200) .NE. 0.0) THEN

           PRINT*,' Model check number mismatch: '

           STOP ' W(200) should be 0 if you are using model NOTEMP'

      ENDIF

C

      MODT(1)=5HNTEMP

      MODT(2)=W(202)

      RETURN

C

      ENTRY TEMP

      RETURN

      END

